HCAF_SFields
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields
Enum HCAF_SFields

    java.lang.Object
      java.lang.Enum<HCAF_SFields>
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields.HCAF_SFields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HCAF_SFields>

    public enum HCAF_SFields

extends java.lang.Enum<HCAF_SFields>

Enum Constant Summary
`abyssal`
`area0_20`
`area20_40`
`area40_60`
`area60_80`
`area80_100`
`areabelow100`
`cellarea`
`celltype`
`centerlat`
`centerlong`
`coral`
`countrymain`
`countrysecond`
`countrythird`
`csquarecode`
`eezall`
`eezfirst`
`eezremark`
`eezsecond`
`eezthird`
`elevationmax`
`elevationmean`
`elevationmin`
`elevationsd`
`elimit`
`estuary`
`faoareain`
`faoaream`
`islandsno`
`landdist`
`lme`
`loiczid`
`longhurst`
`nlimit`
`oceanarea`
`oceanbasin`
`pwater`
`seagrass`
`seamount`
`shelf`
`slimit`
`slope`
`tidalrange`
`waveheight`
`wlimit`

Method Summary
`static HCAF_SFields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HCAF_SFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### csquarecode

    public static final HCAF_SFields csquarecode

### loiczid

    public static final HCAF_SFields loiczid

### nlimit

    public static final HCAF_SFields nlimit

### slimit

    public static final HCAF_SFields slimit

### wlimit

    public static final HCAF_SFields wlimit

### elimit

    public static final HCAF_SFields elimit

### centerlat

    public static final HCAF_SFields centerlat

### centerlong

    public static final HCAF_SFields centerlong

### cellarea

    public static final HCAF_SFields cellarea

### oceanarea

    public static final HCAF_SFields oceanarea

### celltype

    public static final HCAF_SFields celltype

### pwater

    public static final HCAF_SFields pwater

### faoaream

    public static final HCAF_SFields faoaream

### faoareain

    public static final HCAF_SFields faoareain

### countrymain

    public static final HCAF_SFields countrymain

### countrysecond

    public static final HCAF_SFields countrysecond

### countrythird

    public static final HCAF_SFields countrythird

### eezfirst

    public static final HCAF_SFields eezfirst

### eezsecond

    public static final HCAF_SFields eezsecond

### eezthird

    public static final HCAF_SFields eezthird

### eezall

    public static final HCAF_SFields eezall

### eezremark

    public static final HCAF_SFields eezremark

### lme

    public static final HCAF_SFields lme

### oceanbasin

    public static final HCAF_SFields oceanbasin

### longhurst

    public static final HCAF_SFields longhurst

### islandsno

    public static final HCAF_SFields islandsno

### area0_20

    public static final HCAF_SFields area0_20

### area20_40

    public static final HCAF_SFields area20_40

### area40_60

    public static final HCAF_SFields area40_60

### area60_80

    public static final HCAF_SFields area60_80

### area80_100

    public static final HCAF_SFields area80_100

### areabelow100

    public static final HCAF_SFields areabelow100

### elevationmin

    public static final HCAF_SFields elevationmin

### elevationmax

    public static final HCAF_SFields elevationmax

### elevationmean

    public static final HCAF_SFields elevationmean

### elevationsd

    public static final HCAF_SFields elevationsd

### waveheight

    public static final HCAF_SFields waveheight

### tidalrange

    public static final HCAF_SFields tidalrange

### landdist

    public static final HCAF_SFields landdist

### shelf

    public static final HCAF_SFields shelf

### slope

    public static final HCAF_SFields slope

### abyssal

    public static final HCAF_SFields abyssal

### coral

    public static final HCAF_SFields coral

### estuary

    public static final HCAF_SFields estuary

### seagrass

    public static final HCAF_SFields seagrass

### seamount

    public static final HCAF_SFields seamount

Method Detail

### values

    public static HCAF_SFields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HCAF_SFields c : HCAF_SFields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HCAF_SFields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD